Bulk import leads
curl --request POST \
--url https://api.topcalls.ai/v1/leads/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leads": [
{
"phone_number": "<string>",
"name": "",
"email": "jsmith@example.com",
"notes": "<string>",
"tags": [],
"metadata": {}
}
],
"mode": "merge"
}
'import requests
url = "https://api.topcalls.ai/v1/leads/bulk"
payload = {
"list_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"leads": [
{
"phone_number": "<string>",
"name": "",
"email": "jsmith@example.com",
"notes": "<string>",
"tags": [],
"metadata": {}
}
],
"mode": "merge"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
list_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
leads: [
{
phone_number: '<string>',
name: '',
email: 'jsmith@example.com',
notes: '<string>',
tags: [],
metadata: {}
}
],
mode: 'merge'
})
};
fetch('https://api.topcalls.ai/v1/leads/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"inserted": 123,
"updated": 123,
"duplicates": 123,
"total_processed": 123,
"duration_ms": 123
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"details": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"details": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"details": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"details": "<string>"
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
],
"details": "<string>"
}Leads
Bulk import leads
Imports up to 2000 leads in a single transaction. mode='merge' (default) timestamp-appends notes and DISTINCT-unions tags on existing rows; mode='skip' leaves existing rows untouched.
Requires scope: leads:write.
POST
/
v1
/
leads
/
bulk
Bulk import leads
Authorizations
Use Authorization: Bearer tc_live_xxxxx
Body
application/json
⌘I